# Get EA4 configuration recommendations

This function retrieves a list of EasyApache 4 (EA4) configuration recommendations.

Endpoint: GET /get_recommendations
Version: 11.136.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_recommendations"

  - `module` (string)
    The name of the module called.
    Example: "EA4"

  - `result` (object)

  - `result.data` (object)
    Example: {"ea-php55-php":[{"desc":"PHP DSO runs as the user [asis,nobody] by default. In a shared hosting environment, this is a security issue.","level":"danger","name":"PHP DSO","on":"add","options":[{"items":["ea-apache24-mod_ruid2","ea-apache24-mod_mpm_itk"],"level":"success","recommended":true,"text":"We strongly recommend that you install one of the following packages unless this is a single-user system:"},{"level":"warning","recommended":false,"text":"If you use suPHP, you will add some security, but may experience performance issues on your server."}],"url":"https://www.example.com"}]}

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 – Success.
* 0 – Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


